extends Location

func initialize_entry_locations():
	#Faire Exit
	entryLocations.append(Vector2(0, -1150))
	#Arcade Exit
	entryLocations.append(Vector2(-1390, -765))
	#Juice Cafe Exit
	entryLocations.append(Vector2(-580, -700))
	#Museum Area
	entryLocations.append(Vector2(1700, 10))
	#Pier
	entryLocations.append(Vector2(-1717, -5))
	#Pigeon Grove
	entryLocations.append(Vector2(-100, 825))
	#Beach Forest Path
	entryLocations.append(Vector2(1570, 1170))
	#From Lake Hole
	entryLocations.append(Vector2(893, -469))
	#From Beach Path
	entryLocations.append(Vector2(550, 1200))

func initialize_camera_limits():
	leftCameraLimit = -1766
	rightCameraLimit = 1733
	upperCameraLimit = -1184
	lowerCameraLimit = 1275
